/*
  HEADER: CUG	 nnn.nn;
  TITLE:	 LEX - A Lexical Analyser Generator
  VERSION:	 1.0 for IBM-PC
  DATE: 	 Jan 30, 1985
  DESCRIPTION:	 A Lexical Analyser Generator. From UNIX
  KEYWORDS:	 Lexical Analyser Generator YACC C PREP
  SYSTEM:	 IBM-PC and Compatiables
  FILENAME:      LEXECH.C
  WARNINGS:	 This program is not for the casual user. It will
		 be useful primarily to expert developers.
  CRC:		 N/A
  SEE-ALSO:	 YACC and PREP
  AUTHORS:	 Scott Guthery 11100 leafwood lane Austin, TX 78750
  COMPILERS:	 DESMET-C
  REFERENCES:	 UNIX Systems Manuals
*/
/*
 * lexech.c
 *
 * Bob Denny 28-Aug-82	Move stdio dependencies to lexerr(), lexget(),
 *					    lexech() and mapch(). This is one of 4 modules
 *					    in lexlib which depend upon the standard I/O package.
 * Scott Guthery 20-Nov-83  Adapt for IBM PC & DeSmet C
 */

#include <stdio.h>
#include <lex.h"

extern char *llend, llbuf[];

lexecho(fp)
register FILE fp;
{
        register char *lp;

        for (lp = llbuf; lp < llend;)
                putc(*lp++, fp);
}
